#pragma once

#include <yandex/maps/wiki/configs/editor/common.h>

#include <maps/libs/xml/include/xml.h>
#include <maps/libs/common/include/pimpl_utils.h>

namespace maps {
namespace wiki {
namespace configs {
namespace editor {

class Section
{
public:
    explicit Section(const maps::xml3::Node& node);

    const std::string& id() const;
    const StringVec& attributes() const;

    MOVABLE_PIMPL_DECLARATIONS(Section)
};

} // editor
} // configs
} // wiki
} // maps
